Available in VPC
Get the list of NodePools set up to create nodes in a cluster.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /vnks/v2/clusters/{uuid}/node-pool (Korea Region) |
| GET | /vnks/sgn-v2/clusters/{uuid}/node-pool (Singapore Region) |
| GET | /vnks/jpn-v2/clusters/{uuid}/node-pool (Japan Region) |
Request headers
For information about the headers common to all Ncloud Kubernetes Service APIs, see Common Ncloud Kubernetes Service headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
uuid |
String | Required | Cluster's UUID
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
hypervisorCode |
String | Optional | Server's hypervisor type
|
Request example
The request example is as follows:
curl --location 'https://nks.apigw.ntruss.com/vnks/v2/clusters/{uuid}/node-pool?hypervisorCode=XEN' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}' \
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
nodePool[] |
Array | - | NodePool list |
nodePool[].instanceNo |
Integer | - | NodePool instance number |
nodePool[].k8sVersion |
String | - | Kubernetes version |
nodePool[].labels[] |
String | - | Labels to identify NodePools |
nodePool[].labels[].key |
String | - | Keys in labels |
nodePool[].labels[].value |
String | - | Values in labels |
nodePool[].name |
String | - | NodePool name |
nodepool.nodeCount |
String | - | Number of nodes
|
nodePool[].serverSpecCode |
String | - | Specification code for the NodePool server
|
nodePool[].softwareCode |
String | - | Server image information |
nodePool[].status |
String | - | Current state of the NodePool |
nodePool[].subnets |
Array | - | List of subnets in the NodePool |
nodePool[].taints[] |
Array | - | List of taints set for node management in scheduler |
nodePool[].taints[].key |
String | - | Keys in taints |
nodePool[].taints[].effect |
String | - | Scheduler management method
|
nodePool[].taints[].value |
String | - | Values in taints |
nodePool[].storageSize |
Integer | - | Storage size of the NodePool server |
nodePool[].productCode |
String | - | Spec code for the NodePool server
|
nodePool[].subnetNameList[] |
Array | - | List of names in the subnet |
nodePool[].subnetNoList[] |
Array | - | List of numbers in the subnet |
nodePool[].autoscale |
Array | - | Autoscale information |
nodePool[].autoscale.enabled |
Boolean | - | Auto scaling availability
|
nodePool[].autoscale.min |
Integer | - | Minimum number of nodes |
nodePool[].autoscale.max |
Integer | - | Maximum number of nodes |
nodePool[].serverRoleId |
String | - | IAM server role ID |
nodePool[].fabricCluster |
Object | - | Fabric cluster information |
nodePool[].fabricCluster.poolName |
String | - | Fabric cluster pool name |
nodePool[].fabricCluster.poolNo |
Integer | - | Fabric cluster pool number |
nodePool[].zoneCode |
String | - | Node pool's zone code |
Response status codes
For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service response status codes.
Response example
The response example is as follows:
{
"nodePool": [
{
"instanceNo": 00000000,
"k8sVersion": "1.27.9-nks.2",
"labels": [
{
"key": "key",
"value": "value"
}
],
"name": "name",
"serverSpecCode": "s2-g3",
"softwareCode": "SW.VSVR.OS.LNX64.UBNTU.SVR22.WRKND.G003",
"status": "RUN",
"subnets": [],
"taints": [
{
"key": "key",
"effect": "NoExecute",
"value": "value"
}
],
"storageSize": 100,
"productCode": "SVR.VSVR.STAND.C002.M008.G003",
"subnetNameList": [],
"subnetNoList": [],
"serverRoleId": "***1fdc0-eb90-11ec-a2d9-246e966eb***",
"autoscale": {
"enabled": false
},
"fabricCluster": {
"poolName": "fabric-pool-1",
"poolNo": 1
},
"zoneCode": "KR-1"
},
{
"instanceNo": 00000000,
"k8sVersion": "1.27.9-nks.2",
"labels": [
{
"key": "key",
"value": "value"
}
],
"name": "name",
"nodeCount": 3,
"serverSpecCode": "s2-g3",
"softwareCode": "SW.VSVR.OS.LNX64.UBNTU.SVR22.WRKND.G003",
"status": "RUN",
"subnets": [],
"taints": [
{
"key": "key",
"effect": "NoExecute",
"value": "value"
}
],
"storageSize": 100,
"productCode": "SVR.VSVR.STAND.C002.M008.G003",
"subnetNameList": [],
"subnetNoList": [],
"autoscale": {
"enabled": true,
"min": 1,
"max": 3
},
"fabricCluster": {
"poolName": "fabric-pool-1",
"poolNo": 1
},
"zoneCode": "KR-2"
}
]
}